WASM-TOOLS(1)

NAME
wasm-tools - Usage: wasm-tools <COMMAND>

SYNOPSIS
wasm-tools <COMMAND>

DESCRIPTION

  Commands:

parse
    Parse the WebAssembly text format

validate
    Validate a WebAssembly binary

print
    Print the textual form of a WebAssembly binary

smith
    A WebAssembly test case generator

shrink
    Shrink a Wasm file while maintaining a property of interest (such as triggering a compiler bug)

mutate
    A WebAssembly test case mutator

dump
    Debugging utility to dump information about a wasm binary

objdump
    Dumps information about sections in a WebAssembly file

strip
    Removes custom sections from an input WebAssembly file

compose
    WebAssembly component composer

demangle
    Demangle Rust and C++ symbol names in the `name` section

component
    WebAssembly wit-based component tooling

metadata
    Manipulate metadata (module name, producers) to a WebAssembly file

wit-smith
    A WIT test case generator

addr2line
    Translate a WebAssembly address to a filename and line number using DWARF debugging information

completion
    Generate shell completion scripts for this CLI

json-from-wast
    Convert a `*.wast` WebAssembly spec test into a `*.json` file and `*.wasm` files

wast
    A subcommand to test `*.wast` files short of executing WebAssembly code

help
    Print this message or the help of the given subcommand(s)

OPTIONS

-h, --help
    Print help

-V, --version
    Print version